Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# de2DObject Class Reference

`#include <de2D_priv.hpp>`

Inheritance diagram for de2DObject:

[legend]
Collaboration diagram for de2DObject:

[legend]
List of all members.

## Public Member Functions
| de2DObject (IdeVertexBuffer *VBuffer, IdeRenderTexture *Texture, deFloat Depth, deBoolean ExpireNow=DE_FALSE)
IdeVertexBuffer * | GetVBuffer () const
| Get the internal vertex buffer for this object.
IdeRenderTexture * | GetTexture () const
| Get the texture-state used to render this object.
deBoolean | HasExpired () const
deFloat | GetDepth () const
void | MakeExpire ()
| Cause this object to be deleted after it is next rendered.
deBoolean | SetDepth (deFloat Depth)
deBoolean | Move (deVertex DeltaXY)
| Manually transform the position values in the internal vertex buffer, to move the object.
deBoolean | Update (deDouble DeltaTime)
## Protected Member Functions
virtual | ~de2DObject ()
virtual deBoolean | UpdateObject (deDouble DeltaTime)
void | SetVBuffer (IdeVertexBuffer *VBuffer)
void | SetTexture (IdeRenderTexture *Texture)
## Private Attributes
IdeVertexBuffer * | m_VBuffer
IdeRenderTexture * | m_Texture
deBoolean | m_Expire
IdeDriver * | m_Driver
deFloat | m_Depth

## Constructor & Destructor Documentation

de2DObject::~de2DObject | ( |  | ) | `[protected, virtual]`

de2DObject::de2DObject | ( | IdeVertexBuffer * | VBuffer,
|  | IdeRenderTexture * | Texture,
|  | deFloat | Depth,
|  | deBoolean | ExpireNow = DE_FALSE
| ) |

## Member Function Documentation

deFloat de2DObject::GetDepth | ( |  | ) | const`[virtual]`

| Get the depth value used for sorting this object into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. Implements Ide2DObject.

IdeRenderTexture * de2DObject::GetTexture | ( |  | ) | const`[virtual]`

| Get the texture-state used to render this object. Implements Ide2DObject.

IdeVertexBuffer * de2DObject::GetVBuffer | ( |  | ) | const`[virtual]`

| Get the internal vertex buffer for this object. Implements Ide2DObject.

deBoolean de2DObject::HasExpired | ( |  | ) | const`[virtual]`

| Implements Ide2DObject.

void de2DObject::MakeExpire | ( |  | ) | `[virtual]`

| Cause this object to be deleted after it is next rendered. Implements Ide2DObject.

deBoolean de2DObject::Move | ( | deVertex | DeltaXY | ) | `[virtual]`

| Manually transform the position values in the internal vertex buffer, to move the object. Implements Ide2DObject.

deBoolean de2DObject::SetDepth | ( | deFloat | Depth | ) | `[virtual]`

| Set the depth value used for sorting this object into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. Calling this method on an object already in a collection will not change its rendering order. Instead, call Ide2DCollection::AdjustObjectDepth which will invoke this method on the 2d object. Implements Ide2DObject.

void de2DObject::SetTexture | ( | IdeRenderTexture * | Texture | ) | `[protected]`

void de2DObject::SetVBuffer | ( | IdeVertexBuffer * | VBuffer | ) | `[protected]`

deBoolean de2DObject::Update | ( | deDouble | DeltaTime | ) | `[virtual]`

| Implements Ide2DObject.

deBoolean de2DObject::UpdateObject | ( | deDouble | DeltaTime | ) | `[protected, virtual]`

| Reimplemented in de2DOverlay, de2DCorona, and de2DLine.

## Member Data Documentation

deFloat de2DObject::m_Depth`[private]`

IdeDriver* de2DObject::m_Driver`[private]`

deBoolean de2DObject::m_Expire`[private]`

IdeRenderTexture* de2DObject::m_Texture`[private]`

IdeVertexBuffer* de2DObject::m_VBuffer`[private]`

The documentation for this class was generated from the following files:

- de2D_priv.hpp
- de2D.cpp